CMSIS-Driver: USBH Port Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USBH Port Events
USB Host

The USB Host driver generates Port call back events that are notified via the function ARM_USBH_SignalPortEvent. More...

## Macros

#define | ARM_USBH_EVENT_CONNECT (1UL << 0)
| USB Device Connected to Port. More...
#define | ARM_USBH_EVENT_DISCONNECT (1UL << 1)
| USB Device Disconnected from Port. More...
#define | ARM_USBH_EVENT_OVERCURRENT (1UL << 2)
| USB Device caused Overcurrent. More...
#define | ARM_USBH_EVENT_RESET (1UL << 3)
| USB Reset completed. More...
#define | ARM_USBH_EVENT_SUSPEND (1UL << 4)
| USB Suspend occurred. More...
#define | ARM_USBH_EVENT_RESUME (1UL << 5)
| USB Resume occurred. More...
#define | ARM_USBH_EVENT_REMOTE_WAKEUP (1UL << 6)
| USB Device activated Remote Wakeup. More...

## Description

The USB Host driver generates Port call back events that are notified via the function ARM_USBH_SignalPortEvent.

This section provides the event values for the ARM_USBH_SignalPortEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_USBH_EVENT_CONNECT (1UL << 0)

USB Device Connected to Port.

#define ARM_USBH_EVENT_DISCONNECT (1UL << 1)

USB Device Disconnected from Port.

#define ARM_USBH_EVENT_OVERCURRENT (1UL << 2)

USB Device caused Overcurrent.

#define ARM_USBH_EVENT_RESET (1UL << 3)

USB Reset completed.

#define ARM_USBH_EVENT_SUSPEND (1UL << 4)

USB Suspend occurred.

#define ARM_USBH_EVENT_RESUME (1UL << 5)

USB Resume occurred.

#define ARM_USBH_EVENT_REMOTE_WAKEUP (1UL << 6)

USB Device activated Remote Wakeup.